Subject: Design and apply a naming convention for kamaki commands

Description

Rules for kamaki commands:

kamaki <object[ subobject...]> <verb[ subverb...]>

For example:

kamaki server create

In specific, the command groups (objects) are going to be:

user:    Astakos API commands

flavor:  Cyclades/Compute API flavor commands

image:   Cyclades/Plankton API image commands

image compute: Cyclades/Compute API image commands

network: Cyclades/Compute API network commands

server:  Cyclades/Compute API server commands

file:    Pithos+ storage commands

config:  Configuration commands

history: Command history

Also, format help mechanism to present command help like this:

<command terms>:<tab><description>

History

#1 - 04/12/2013 06:37 pm - Stavros Sachtouris

- % Done changed from 0 to 90

10% TODO: show text following this format:

<command group>:<tab><description>

#2 - 04/15/2013 12:26 pm - Stavros Sachtouris

- Status changed from New to Resolved

- % Done changed from 90 to 100

#3 - 04/15/2013 06:22 pm - Stavros Sachtouris

- Status changed from Resolved to Closed
